# GNU Make project makefile autogenerated by Premake
ifndef config
  config=debuglib64
endif

ifndef verbose
  SILENT = @
endif

ifndef CC
  CC = gcc
endif

ifndef CXX
  CXX = g++
endif

ifndef AR
  AR = ar
endif

ifeq ($(config),debuglib64)
  OBJDIR     = obj/x64/DebugLib
  TARGETDIR  = lib/debug
  TARGET     = $(TARGETDIR)/Unpackpp.wcx64
  DEFINES   += -DWCX_PLUGIN_EXPORTS -DDEBUG
  INCLUDES  += -I../lib/ppunpacklib
  CPPFLAGS  += -MMD -MP $(DEFINES) $(INCLUDES)
  CFLAGS    += $(CPPFLAGS) $(ARCH) -Wall -g -m64
  CXXFLAGS  += $(CFLAGS) 
  LDFLAGS   += -shared -Wl,--out-implib="lib/debug/libUnpackpp.wcx64" -m64 -L/usr/lib64 -L../lib/ppunpacklib/lib/debug
  LIBS      += -lppunpacklib
  RESFLAGS  += $(DEFINES) $(INCLUDES) 
  LDDEPS    += 
  LINKCMD    = $(CC) -o $(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(ARCH) $(LIBS)
  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
	@echo Running post-build commands
	cp lib/debug/unpackpp.wcx64 ../install
  endef
endif

ifeq ($(config),releaselib64)
  OBJDIR     = obj/x64/ReleaseLib
  TARGETDIR  = lib/release
  TARGET     = $(TARGETDIR)/Unpackpp.wcx64
  DEFINES   += -DWCX_PLUGIN_EXPORTS -DNDEBUG
  INCLUDES  += -I../lib/ppunpacklib
  CPPFLAGS  += -MMD -MP $(DEFINES) $(INCLUDES)
  CFLAGS    += $(CPPFLAGS) $(ARCH) -Wall -O3 -m64
  CXXFLAGS  += $(CFLAGS) 
  LDFLAGS   += -s -shared -Wl,--out-implib="lib/release/libUnpackpp.wcx64" -m64 -L/usr/lib64 -L../lib/ppunpacklib/lib/release
  LIBS      += -lppunpacklib
  RESFLAGS  += $(DEFINES) $(INCLUDES) 
  LDDEPS    += 
  LINKCMD    = $(CC) -o $(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(ARCH) $(LIBS)
  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
	@echo Running post-build commands
	cp lib/release/unpackpp.wcx64 ../install
  endef
endif

ifeq ($(config),debuglib32)
  OBJDIR     = obj/x32/DebugLib
  TARGETDIR  = lib/debug
  TARGET     = $(TARGETDIR)/Unpackpp.wcx
  DEFINES   += -DWCX_PLUGIN_EXPORTS -DDEBUG
  INCLUDES  += -I../lib/ppunpacklib
  CPPFLAGS  += -MMD -MP $(DEFINES) $(INCLUDES)
  CFLAGS    += $(CPPFLAGS) $(ARCH) -Wall -g -m32
  CXXFLAGS  += $(CFLAGS) 
  LDFLAGS   += -shared -Wl,--out-implib="lib/debug/libUnpackpp.wcx" -m32 -L/usr/lib32 -L../lib/ppunpacklib/lib/debug
  LIBS      += -lppunpacklib
  RESFLAGS  += $(DEFINES) $(INCLUDES) 
  LDDEPS    += 
  LINKCMD    = $(CC) -o $(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(ARCH) $(LIBS)
  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
	@echo Running post-build commands
	cp lib/debug/unpackpp.wcx64 ../install
	cp lib/debug/unpackpp.wcx ../install
  endef
endif

ifeq ($(config),releaselib32)
  OBJDIR     = obj/x32/ReleaseLib
  TARGETDIR  = lib/release
  TARGET     = $(TARGETDIR)/Unpackpp.wcx
  DEFINES   += -DWCX_PLUGIN_EXPORTS -DNDEBUG
  INCLUDES  += -I../lib/ppunpacklib
  CPPFLAGS  += -MMD -MP $(DEFINES) $(INCLUDES)
  CFLAGS    += $(CPPFLAGS) $(ARCH) -Wall -O3 -m32
  CXXFLAGS  += $(CFLAGS) 
  LDFLAGS   += -s -shared -Wl,--out-implib="lib/release/libUnpackpp.wcx" -m32 -L/usr/lib32 -L../lib/ppunpacklib/lib/release
  LIBS      += -lppunpacklib
  RESFLAGS  += $(DEFINES) $(INCLUDES) 
  LDDEPS    += 
  LINKCMD    = $(CC) -o $(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(ARCH) $(LIBS)
  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
	@echo Running post-build commands
	cp lib/release/unpackpp.wcx64 ../install
	cp lib/release/unpackpp.wcx ../install
  endef
endif

OBJECTS := \
	$(OBJDIR)/main.o \

RESOURCES := \
	$(OBJDIR)/ppunpack.res \

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIR) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking Unpackpp
	$(SILENT) $(LINKCMD)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
ifeq (posix,$(SHELLTYPE))
	$(SILENT) mkdir -p $(TARGETDIR)
else
	$(SILENT) mkdir $(subst /,\\,$(TARGETDIR))
endif

$(OBJDIR):
	@echo Creating $(OBJDIR)
ifeq (posix,$(SHELLTYPE))
	$(SILENT) mkdir -p $(OBJDIR)
else
	$(SILENT) mkdir $(subst /,\\,$(OBJDIR))
endif

clean:
	@echo Cleaning Unpackpp
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	-$(SILENT) cp $< $(OBJDIR)
	$(SILENT) $(CC) $(CFLAGS) -o "$@" -c "$<"
endif

$(OBJDIR)/main.o: main.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(CFLAGS) -o "$@" -c "$<"
$(OBJDIR)/ppunpack.res: ppunpack.rc
	@echo $(notdir $<)
	$(SILENT) windres $< -O coff -o "$@" $(RESFLAGS)

-include $(OBJECTS:%.o=%.d)
